<?php

namespace Drupal\user_api_passwordless\Event;

use Drupal\user\UserInterface;
use Drupal\user_api\Event\UserApiEventBase;
use Drupal\user_api_passwordless\UserApiPasswordlessEvents;

/**
 * Event after user has been loaded in passwordless login.
 */
class PasswordlessLoginAfterUserLoadEvent extends UserApiEventBase {

  /**
   * Construct new PasswordlessLoginAfterUserLoadEvent.
   */
  public function __construct(
    public readonly UserInterface $user,
  ) {}

  /**
   * {@inheritdoc}
   */
  public static function getName(): string {
    return UserApiPasswordlessEvents::PASSWORDLESS_LOGIN_AFTER_USER_LOAD;
  }

}
