<?php

namespace Drupal\user_api_passwordless;

/**
 * Defines all events in user_api_passwordless.
 */
final class UserApiPasswordlessEvents {

  /**
   * Event name prefix.
   */
  private const PREFIX = 'user_api_passwordless_';

  /**
   * Abort init unset password action.
   */
  public const INIT_UNSET_PASSWORD = self::PREFIX . 'init_unset_password';

  /**
   * Abort unset password action.
   */
  public const UNSET_PASSWORD = self::PREFIX . 'unset_password';

  /**
   * Abort passwordless login before user load is attempted.
   */
  public const PASSWORDLESS_LOGIN_BEFORE_USER_LOAD = self::PREFIX . 'passwordless_login_before_user_load';

  /**
   * Abort passwordless login after user has been loaded.
   */
  public const PASSWORDLESS_LOGIN_AFTER_USER_LOAD = self::PREFIX . 'passwordless_login_after_user_load';

}
