<?php

declare(strict_types=1);

namespace Drupal\user_api\Plugin\rest\resource;

/**
 * Provides a resource to init account cancellation.
 *
 * @deprecated in user_api:1.0.0-beta8 and is removed from user_api:1.0.0. Use InitCancelAccountResource instead.
 * @see https://www.drupal.org/project/user_api/issues/3415446
 *
 * @RestResource(
 *   id = "user_api_init_account_cancel",
 *   label = @Translation("Account cancellation initiation"),
 *   uri_paths = {
 *     "create" = "/user-api/account-cancel/init"
 *   }
 * )
 */
class InitAccountCancelResource extends InitCancelAccountResource {

  /**
   * {@inheritdoc}
   */
  public function post() {
    @trigger_error('Using the InitAccountCancelResource is deprecated in user_api:1.0.0-beta8 and is removed from user_api:1.0.0. Use InitCancelAccountResource instead. See https://www.drupal.org/project/user_api/issues/3415446', E_USER_DEPRECATED);

    return parent::post();
  }

}
